Sort Parameter Format
field: The field name to sort bydirection:1for ascending,-1for descending
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
The PlanD API supports sorting on list endpoints using the sort parameter. You can sort by multiple fields and specify sort direction.
field:direction,field2:direction2
field: The field name to sort bydirection: 1 for ascending, -1 for descending# Sort by name ascending
curl -X GET "https://cloud-api.pland.app/v2/users?sort=name:1" \
-H "Authorization: Bearer YOUR_API_TOKEN"
# Sort by created date descending
curl -X GET "https://cloud-api.pland.app/v2/users?sort=status.createdAt:-1" \
-H "Authorization: Bearer YOUR_API_TOKEN"
# Sort by name ascending, then by created date descending
curl -X GET "https://cloud-api.pland.app/v2/users?sort=name:1,status.createdAt:-1" \
-H "Authorization: Bearer YOUR_API_TOKEN"
| Entity | Common Fields |
|---|---|
| Users | name, email, status.createdAt |
| Objects | name, number, status.createdAt |
| Customers | name, number, status.createdAt |
| Jobs | title, startDate, status.createdAt |
# Sort by status creation date
sort=status.createdAt:-1
# Sort by object name
sort=object.name:1
Was this page helpful?
